=== clinica/wscript ===
#!/usr/bin/env python

def build(bld):
	bld.add_group ("clinica")
	prog = bld(features='c cprogram')
	bld.set_group ("clinica")

	# symbolic name used to reference this object
	prog.name = 'clinica.program'

	# name of the resulting program
	prog.target = 'clinica'
	prog.source = 'Clinica.vala'

	# Modules
	prog.uselib = 'GOBJECT PEAS GTK+ GEE SQLITE PEASGTK'
	prog.use = 'clinica.shlib'

	# Vala packages to use
	prog.packages = 'gtk+-3.0 Peas-1.0 PeasGtk-1.0 sqlite3 gee-1.0 config clinica'

	# Extra vapi dirs
	prog.vapi_dirs = [ '../vapi', '../libclinica' ]

	# Extra includes
	prog.includes = [ '.', '../libclinica' ]
