=== plugins/wscript ===
#!/usr/bin/env python
#

plugins_install_path = "${PREFIX}/lib/clinica/plugins"

def build (ctx):
    ctx.set_group ("clinica")

    # Plugin CodiceFiscale
    cf = ctx (features = "c cshlib")
    cf.name = "codice_fiscale.cshlib"
    
    cf.target = 'CodiceFiscale'
    cf.source = 'CodiceFiscale.vala'
    cf.use = 'clinica'
    cf.includes = [ '.', '../libclinica' ]

    cf.uselib = 'PEAS PEASGTK GEE GTK'

    # Vala packages to use
    cf.packages = 'gtk+-3.0 Peas-1.0 PeasGtk-1.0 sqlite3 gee-1.0 config clinica'

    # Extra vapi dirs
    cf.vapi_dirs = [ '../vapi', '../libclinica' ]
    cf.install_path = plugins_install_path
    ctx.install_files (plugins_install_path, "CodiceFiscale.plugin")

    # Plugin AgenziaDelFarmaco
    ctx.install_files (plugins_install_path, [ "AgenziaDelFarmaco.py",
                                               "AgenziaDelFarmaco.plugin" ])
    
    # Push plugins on the build directory so we can run
    # clinica in the local dir
    for plugin in ['AgenziaDelFarmaco.plugin', 'CodiceFiscale.plugin', 'AgenziaDelFarmaco.py' ]:
        push_plugin (ctx, plugin)
    
    
def push_plugin (ctx, plugin_file):    
    # Install plugins file in the _build_ directory so clinica can
    # run from a local build
    ctx (rule = 'cp ${SRC} ../_build_/plugins/${SRC[0].name}',
         source = plugin_file)
