=== debian/changelog ===
clinica (0.2.1~dfsg-1) unstable; urgency=low

  * Initial release (Closes: #652658)
  * Moved man page to the clinica binary package
  * Fixed a dependency of clinica-plugins on clinica-dev
  * Extracted waf binary to make the package debian compliant

 -- Leonardo Robol <leo@robol.it>  Sat, 07 Jan 2012 10:55:16 +0100
