=== debian/control ===
Source: clinica
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Leonardo Robol <leo@robol.it>
Build-Depends: debhelper (>= 8), 
	       python, 
	       libglib2.0-dev, 
	       libgee-dev, 
	       libsqlite3-dev, 
	       libgtk-3-dev, 
	       valac-0.14, 
	       intltool (>= 0.35), 
	       gobject-introspection (>= 0.9), 
	       libpeas-dev, 
	       gir1.2-peas-1.0, 
	       gir1.2-gtk-3.0, 
	       gir1.2-gee-1.0, 
	       gir1.2-glib-2.0, 
Standards-Version: 3.9.2
Homepage: http://launchpad.net/clinica-project
Vcs-Browser: http://git.debian.org/?p=debian-med/clinica.git
Vcs-Git: git://git.debian.org/git/debian-med/clinica.git

Package: clinica
Architecture: any
Depends: ${shlibs:Depends}, 
	 ${misc:Depends}, 
	 ${gir:Depends},
	 gir1.2-clinica-0.2,
	 clinica-common,
	 libclinica0
Description: Simple medical records manager
 Simple tool for the desktop to mantain medical records.
 It is thought to be easy to use and it's mainly addressed to a single doctor.
 .
 It features:
  * Patient management
  * Doctor management (with associated patients)
  * Visit creation/editing
  * Medicine search online (via plugins)
  * Calendar for events and visits
  * Extensibility via plugins

Package: gir1.2-clinica-0.2
Architecture: any
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Description: Simple medical records manager (gobject introspection files)
 Simple tool for the desktop to mantain medical records.
 It is thought to be easy to use and it's mainly addressed to a single doctor.
 .
 It features:
  * Patient management
  * Doctor management (with associated patients)
  * Visit creation/editing
  * Medicine search online (via plugins)
  * Calendar for events and visits
  * Extensibility via plugins
 .
 This package contains the GObject introspection files.

Package: clinica-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, clinica, gir1.2-clinica-0.2, gir1.2-gee-1.0, gir1.2-gtk-3.0, gir1.2-peas-1.0, clinica-dev
Description: Simple medical records manager (plugins)
 Simple tool for the desktop to mantain medical records.
 It is thought to be easy to use and it's mainly addressed to a single doctor.
 .
 It features:
  * Patient management
  * Doctor management (with associated patients)
  * Visit creation/editing
  * Medicine search online (via plugins)
  * Calendar for events and visits
  * Extensibility via plugins
 .
 This package contains the plugins that are shipped with the tarball
 of the software.

Package: libclinica0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gir1.2-clinica-0.2
Description: Simple medical records manager (shared library)
 Simple tool for the desktop to mantain medical records.
 It is thought to be easy to use and it's mainly addressed to a single doctor.
 .
 It features:
  * Patient management
  * Doctor management (with associated patients)
  * Visit creation/editing
  * Medicine search online (via plugins)
  * Calendar for events and visits
  * Extensibility via plugins
 .
 This package contains the shared library with the routines shared by clinica
 and its plugins.

Package: clinica-common
Architecture: all
Depends: ${misc:Depends}
Description: Simple medical records manager (architecture independent files)
 Simple tool for the desktop to mantain medical records.
 It is thought to be easy to use and it's mainly addressed to a single doctor.
 .
 It features:
  * Patient management
  * Doctor management (with associated patients)
  * Visit creation/editing
  * Medicine search online (via plugins)
  * Calendar for events and visits
  * Extensibility via plugins
 .
 This package contains the architecture independent files.

Package: clinica-dev
Architecture: any
Depends: clinica, libclinica0 (= ${binary:Version}), ${misc:Depends}
Description: Simple medical records manager (development files)
 Simple tool for the desktop to mantain medical records.
 It is thought to be easy to use and it's mainly addressed to a single doctor.
 .
 It features:
  * Patient management
  * Doctor management (with associated patients)
  * Visit creation/editing
  * Medicine search online (via plugins)
  * Calendar for events and visits
  * Extensibility via plugins
 .
 This package contains the headers for the C routines of libclinica.
