=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for clinica

%:
	dh $@

clean:
	dh $@
	./waf --nocache distclean
	rm -f gschemas.compiled
	if test -d "waflib"; then find waflib -name "*.pyc" -delete; fi

override_dh_auto_configure:
	./waf --nocache configure --prefix=/usr

override_dh_auto_build:
	./waf --nocache build

override_dh_auto_install:
	./waf --nocache install --destdir=debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs Changelog

get-orig-source:
	. debian/get-orig-source
