## clinica 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
project (clinica C)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake )

set(GETTEXT_PACKAGE "clinica")
set(VERSION "0.3.0")
set(PACKAGE_VERSION "0.3.0")
set(MAJOR_VERSION "0")
set(MINOR_VERSION "3")
set(PATCH_VERSION "0")
set(RESOURCE_BASE "/org/phcteam/clinica/")

find_package(Vala REQUIRED)
include(ValaVersion)
ensure_vala_version("0.16.0" MINIMUM)
include(ValaPrecompile)

set (GSETTINGS_COMPILE_IN_PLACE off)
set (CLINICA_VALAFLAGS "")

find_program (G_IR_COMPILER
	g-ir-compiler
)

find_program (GLIB_COMPILE_RESOURCES
	glib-compile-resources
)

if(NOT GLIB_COMPILE_RESOURCES)
  message(FATAL_ERROR
	"Could not found the glib-compile-resource command.")
endif(NOT GLIB_COMPILE_RESOURCES)

find_package(PkgConfig)
pkg_check_modules(DEPS REQUIRED
	gee-1.0>=0.6.0 
	gtk+-3.0>=3.0 
	sqlite3>=3.7.4 
	libsoup-2.4 
	gio-2.0 
	glib-2.0 
	librsvg-2.0
	jansson
)

IF(NOT DISABLE_PLUGINS)
pkg_check_modules(PLUGINS REQUIRED
	libpeas-gtk-1.0
	libpeas-1.0>=1.0
)
set (PLUGINS_PACKAGES
	libpeas-1.0 libpeas-gtk-1.0
)
LIST(APPEND CLINICA_VALAFLAGS -D HAVE_PLUGINS)
ENDIF(NOT DISABLE_PLUGINS)

find_package(PkgConfig)

set (CLINICA_USED_PACKAGES
	sqlite3 libsoup-2.4 gtk+-3.0 gio-2.0 glib-2.0 gmodule-2.0 gee-1.0 
        ${PLUGINS_PACKAGES} config posix librsvg-2.0 jansson
)

set (CLINICA_USED_LIBRARIES
	${DEPS_LDFLAGS} ${DEPS_LIBRARIES}
	${PLUGINS_LDFLAGS} ${PLUGINS_LIBRARIES}
)
IF (WINDOWS_BUILD)
        LIST(APPEND CLINICA_USED_LIBRARIES -mwindows)
ENDIF (WINDOWS_BUILD)


LIST (APPEND CLINICA_VALAFLAGS
	--vapidir=${CMAKE_SOURCE_DIR}/vapi
	--vapidir=${CMAKE_BINARY_DIR}/libclinica
	-g --thread --target-glib=2.32
)

set (CLINICA_USED_CFLAGS
	${DEPS_CFLAGS} ${PLUGINS_CFLAGS} -Werror=format-security
	-include ${CMAKE_BINARY_DIR}/config.h -I${CMAKE_BINARY_DIR}
	-I${CMAKE_BINARY_DIR}/libclinica -g
)

configure_file (config.h.in config.h)

add_subdirectory(libclinica)
add_subdirectory(clinica)
add_subdirectory(po)
add_subdirectory(data)
add_subdirectory(doc)
add_subdirectory(plugins)
