=== clinica/CMakeLists.txt ===
set (CLINICA_SRC
	Clinica.vala
)

find_package(PkgConfig)
pkg_check_modules(DEPS REQUIRED
        gee-1.0>=0.6.0
        gtk+-3.0>=3.0
        libpeas-1.0>=1.0
        sqlite3>=3.7.4
        json-glib-1.0
        libsoup-2.4
        libpeas-gtk-1.0
        gio-2.0
        glib-2.0
)

set(CLINICA_PACKAGES
	${CLINICA_USED_PACKAGES} clinica
)
vala_precompile (CLINICA_C clinica-vala
	${CLINICA_SRC}
PACKAGES
	${CLINICA_PACKAGES}
OPTIONS
	--vapidir=${CMAKE_SOURCE_DIR}/vapi
	--vapidir=${CMAKE_BINARY_DIR}/libclinica
)

if (WINDOWS_BUILD)
add_custom_command (
	OUTPUT clinica-rc.o
	COMMAND ${CMAKE_RC_COMPILER} -o clinica-rc.o -O coff ${CMAKE_SOURCE_DIR}/data/clinica.rc
)
set (CLINICA_RC clinica-rc.o)
endif (WINDOWS_BUILD)

add_executable(clinica-client ${CLINICA_C} ${CLINICA_RC})
add_definitions(${CLINICA_USED_CFLAGS} -I${CMAKE_BINARY_DIR}/libclinica)
target_link_libraries (clinica-client clinica ${DEPS_LIBRARIES})
set_target_properties(clinica-client PROPERTIES OUTPUT_NAME clinica)
set_target_properties(clinica-client PROPERTIES LINKER_LANGUAGE C)

INSTALL (TARGETS clinica-client
	RUNTIME DESTINATION bin
)
