=== data/CMakeLists.txt ===
include (GSettings)
add_schemas(clinica-schemas ${CMAKE_SOURCE_DIR}/data/org.phcteam.clinica.gschema.xml)

install (FILES
	clinica.desktop
	DESTINATION share/applications
)

install (FILES
	org.phcteam.clinica.gschema.xml
	DESTINATION share/glib-2.0/schemas
)

install (FILES
	clinica.svg
	DESTINATION share/pixmaps
)

install (FILES org.phcteam.clinica.service
	DESTINATION share/dbus-1/services)

add_subdirectory (help)
