=== doc/CMakeLists.txt ===
install (FILES clinica.1 
	DESTINATION share/man/man1)
