=== plugins/CMakeLists.txt ===
IF(NOT WINDOWS_BUILD)

set (PLUGINS_DIR
	lib/clinica/plugins
)

# 
# Plugins for Codice Fiscale
#
vala_precompile (CODICE_FISCALE_C libcodicefiscale-vala
		CodiceFiscale.vala
	PACKAGES
		${CLINICA_USED_PACKAGES} clinica
	OPTIONS
		${CLINICA_VALAFLAGS}
		--vapidir=${CMAKE_BINARY_DIR}/libclinica
)

add_library (CodiceFiscale SHARED ${CODICE_FISCALE_C})
add_definitions (${CLINICA_USED_CFLAGS})
target_link_libraries (CodiceFiscale clinica ${CLINICA_USED_LIBRARIES})

install (TARGETS
	CodiceFiscale
	LIBRARY DESTINATION ${PLUGINS_DIR}
)

install (FILES
	CodiceFiscale.plugin
	DESTINATION ${PLUGINS_DIR}
)

#
# Plugins for browsing medicines on Agenzia del Farmaco
#

install (FILES
	AgenziaDelFarmaco.py AgenziaDelFarmaco.plugin
	DESTINATION ${PLUGINS_DIR}
)

ENDIF(NOT WINDOWS_BUILD)
