=== po/CMakeLists.txt ===
include(Translations)
add_translations_directory("clinica")
add_translations_catalog("clinica" ../libclinica ../clinica ../plugins)
