=== data/help/CMakeLists.txt ===
install (FILES

C/index.page
C/clinica-manage-doctors.page
C/clinica-calendar.page
C/clinica-manage-visits.page
C/clinica-manage-patients.page
C/intro.page
C/clinica-search-medicines.page

DESTINATION share/gnome/help/clinica/C)

install (FILES
	C/figures/clinica.svg
	DESTINATION share/gnome/help/clinica/C/figures
)
