=== debian/changelog ===
clinica (0.3.0-1) unstable; urgency=low

  * New upstream version of Clinica.
  * Remove explicit dependency on valac-0.16 (Closes: #709719)
  * Correct FTBFS (Closes: #707361)

 -- Leonardo Robol <leo@robol.it>  Mon, 15 Jul 2013 11:27:05 +0200
