=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for clinica

# Hardening support
VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs Changelog

get-orig-source:
	. debian/get-orig-source
