=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg// \
http://launchpad.net/clinica-project/+download http://launchpad.net/clinica-project/.*/clinica-(.+).tar.bz2 \
    debian debian/get-orig-source
